package contract_request

import (
	"private-go-sdk/http"
	"encoding/json"
	"private-go-sdk/model/common"
)

type ContractSweepcodeLinkRequest struct {
	ContractInfo *common.ContractRequest `json:"contractInfo"`
	SignatoryInfo *common.SignatoryInfo `json:"signatoryInfo,omitempty"`
}
func (obj ContractSweepcodeLinkRequest) GetUrl() string {
    return "/contract/sweepcode/link"
}

func (obj ContractSweepcodeLinkRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
